Skip to main content
GET
/
v1
/
product_collections
/
{id}
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/product_collections/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/product_collections/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/product_collections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "f49c8d34-19b7-4f42-b400-f3da9e1a136a",
  "object": "product_collection",
  "name": "Test Product Collection 3",
  "description": null,
  "metadata": {},
  "position": 0,
  "products_count": 0,
  "slug": "test-product-collection-3",
  "image": null,
  "created_at": 1782485865,
  "updated_at": 1782485865
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

name
string

A name for this product collection that will be visible to customers.

description
string | null

The product collection description, meant to be displayable to the customer.

position
integer | null

The ordering position of this product collection when displayed to customers.

slug
string

A unique and URL friendly string that represents this product collection. (This will be auto-generated when a product collection is created if not explicitly set.)

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

image

Expandable – The associated media ID.

products_count
integer

The number of products in this collection.

products

Expandable – Property not returned unless expanded.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.